# Class TableFloatOptionsAttributes

#### Hierarchy

- XmlAttributeComponent<ITableFloatOptions>
  - TableFloatOptionsAttributes

- Defined in src/file/table/table-properties/table-float-properties.ts:133

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new TableFloatOptionsAttributes(properties: ITableFloatOptions): TableFloatOptionsAttributes

- #### Parameters

  - ##### properties: ITableFloatOptions

  #### Returns TableFloatOptionsAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:11

## Methods

### prepForXml

- prepForXml(_: IContext): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:16

Generated using TypeDoc